Bug 468651 - backtrace when bringing network interface up
backtrace when bringing network interface up
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 02:06 EDT by Jens Petersen
Modified: 2009-02-16 15:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 15:32:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anadump.txt (62.10 KB, text/plain)
2008-10-27 02:07 EDT, Jens Petersen
no flags Details

  None (edit)
Description Jens Petersen 2008-10-27 02:06:27 EDT
Description of problem:
Anaconda pops up a dialog to ask about the network interface in the GUI and then I get the attached backtrace:

Version-Release number of selected component (if applicable):
anaconda-11.4.1.51-1

Steps to Reproduce:
1. install from boot.iso
2. before repo screen nic dialog pops up and click OK
  
Actual results:
2. backtrace

Expected results:
2. no dialog and no backtrace

Additional info:
I don't why the dialog is necessary.
Comment 1 Jens Petersen 2008-10-27 02:07:21 EDT
Created attachment 321579 [details]
anadump.txt
Comment 2 David Cantrell 2008-10-27 03:30:02 EDT
A fix introduced in commit 351f18092f98f319d2203377ab141c070cc00a72 caused this problem.  I've fixed this in git, so hopefully the next build should be back to normal.

Please test once a new build of anaconda shows up in rawhide.
Comment 3 Bug Zapper 2008-11-25 23:17:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.